%define upstream_name    XML-Handler-YAWriter
%define upstream_version 0.23

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 9

Summary:	XML::Handler::YAWriter perl module
License:	GPL
Group:		Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    ftp://ftp.cpan.org/pub/CPAN/modules/by-module/XML/%{upstream_name}-%{upstream_version}.tar.bz2

BuildRequires:	perl-libxml-perl >= 0.06
BuildArch:	noarch


%description
YAWriter implements Yet Another XML::Handler::Writer. The reasons for
this one are that I needed a flexible escaping technique, and want
some kind of pretty printing.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%install
%make_install

find %{buildroot} -name "perllocal.pod" -delete

%files
%doc README
%{_bindir}/*
%{perl_vendorlib}/XML/Handler/*
%{_mandir}/man[13]/*


%changelog
* Wed Feb 12 2020 umeabot <umeabot> 0.230.0-9.mga8
+ Revision: 1498405
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 0.230.0-8.mga7
+ Revision: 1272767
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.230.0-7.mga6
+ Revision: 1036025
- Rebuild for perl 5.22.2

* Fri Feb 05 2016 umeabot <umeabot> 0.230.0-6.mga6
+ Revision: 939758
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.230.0-5.mga5
+ Revision: 743012
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.230.0-4.mga5
+ Revision: 686933
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.230.0-3.mga4
+ Revision: 516136
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.230.0-2.mga3
+ Revision: 375053
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jan 19 2011 jquelin <jquelin> 0.230.0-1.mga1
+ Revision: 24385
- fix specs
- imported package perl-XML-Handler-YAWriter


* Mon Aug 03 2009 Jérôme Quelin <jquelin@mandriva.org> 0.230.0-1mdv2010.1
+ Revision: 408239
- rebuild using %%perl_convert_version

* Wed Jun 18 2008 Thierry Vignaud <tv@mandriva.org> 0.23-12mdv2009.0
+ Revision: 224627
- rebuild

* Thu Mar 06 2008 Oden Eriksson <oeriksson@mandriva.com> 0.23-11mdv2008.1
+ Revision: 180657
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Thu Aug 16 2007 Thierry Vignaud <tv@mandriva.org> 0.23-10mdv2008.0
+ Revision: 64205
- rebuild


* Mon Aug 07 2006 Olivier Thauvin <nanardon@mandriva.org>
+ 08/07/06 19:43:51 (54168)
- rebuild

* Mon Aug 07 2006 Olivier Thauvin <nanardon@mandriva.org>
+ 08/07/06 19:35:45 (54167)
Import perl-XML-Handler-YAWriter

* Sun Apr 30 2006 Olivier Thauvin <nanardon@mandriva.org> 0.23-8mdk
- rebuild && %%mkrel

* Sat Jan 01 2005 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.23-7mdk
- "Birthday rebuild" and q/Happy new year/;

